document.addEventListener('DOMContentLoaded', function() {
    const menuToggle = document.querySelector('.menu-toggle');
    const navLinks = document.querySelector('.nav-links');
    const chatMessages = document.getElementById('chat-messages');
    const userInput = document.getElementById('user-input');
    const sendButton = document.getElementById('send-button');

    // Mobile menu toggle
    menuToggle.addEventListener('click', () => {
        navLinks.classList.toggle('active');
    });

    // Chat functionality
    function addMessage(message, isUser = false) {
        const messageDiv = document.createElement('div');
        messageDiv.classList.add('message');
        messageDiv.classList.add(isUser ? 'user-message' : 'bot-message');
        messageDiv.textContent = message;
        chatMessages.appendChild(messageDiv);
        chatMessages.scrollTop = chatMessages.scrollHeight;
    }

    function getBotResponse(question) {
        question = question.toLowerCase();
        
        if (question.includes('dowód') || question.includes('dowod')) {
            return 'Aby wyrobić dowód osobisty, potrzebujesz: aktualnego zdjęcia, wypełnionego wniosku oraz obecnego dowodu lub innego dokumentu tożsamości. Koszt: bezpłatny. Czas oczekiwania: około 2-4 tygodni.';
        } else if (question.includes('prawo jazdy')) {
            return 'W sprawie prawa jazdy udaj się do Wydziału Komunikacji. Potrzebne dokumenty: wniosek, zdjęcie, orzeczenie lekarskie, opłata 100 zł.';
        } else if (question.includes('akt') && question.includes('urodz')) {
            return 'Akt urodzenia można uzyskać w Urzędzie Stanu Cywilnego. Opłata skarbowa wynosi 22 zł.';
        } else {
            return 'Przepraszam, nie rozumiem pytania. Proszę sprecyzować czego dotyczy sprawa lub zapytać o konkretny dokument/usługę.';
        }
    }

    function handleSend() {
        const message = userInput.value.trim();
        if (message) {
            addMessage(message, true);
            userInput.value = '';
            
            // Simulate bot typing
            setTimeout(() => {
                const response = getBotResponse(message);
                addMessage(response, false);
            }, 1000);
        }
    }

    sendButton.addEventListener('click', handleSend);
    userInput.addEventListener('keypress', (e) => {
        if (e.key === 'Enter') {
            handleSend();
        }
    });

    // Initial bot message
    addMessage('Dzień dobry! W czym mogę pomóc?', false);
});
